Package: groovy.util

## [Java] Class MapEntry

- groovy.util.MapEntry

- All Implemented Interfaces and Traits:
    MapEntry

      public class MapEntry
      extends Object
      implements MapEntry

  A Map.Entry implementation.

- - ### Constructor Summary

    Constructors
    Constructor and description
    `MapEntry(Object key, Object value)`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `public boolean` | `equals(Object that)`
    `` | `public boolean` | `equals(MapEntry that)`
    `` | `public Object` | `getKey()`
    `` | `public Object` | `getValue()`
    `` | `protected int` | `hash(Object object)` Helper method to handle object hashes for possibly null values
    `` | `public int` | `hashCode()`
    `` | `public void` | `setKey(Object key)`
    `` | `public Object` | `setValue(Object value)`
    `` | `public String` | `toString()`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class Object` | `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### public MapEntry(Object key, Object value)

  - ### Method Detail

    - #### @Override
      public boolean equals(Object that)

    - #### public boolean equals(MapEntry that)

    - #### @Override
      public Object getKey()

    - #### @Override
      public Object getValue()

    - #### protected int hash(Object object)

      Helper method to handle object hashes for possibly null values

    - #### @Override
      public int hashCode()

    - #### public void setKey(Object key)

    - #### @Override
      public Object setValue(Object value)

    - #### @Override
      public String toString()